<?php
//*************** Admin function ***************
function oscimp_admin() {
	include('pagination.class.php');
	include('rightclick_admin.php');
}

function oscimp_admin_actions() {
    add_options_page("Right Click Popup", "Right Click Popup", 1, "rightclick", "oscimp_admin");
}
add_action('admin_menu', 'oscimp_admin_actions');


function hotpick_install()
{
    global $wpdb;
    $structure = "CREATE TABLE `right_click_popup` (
						`id` int(11) NOT NULL AUTO_INCREMENT,
						`popup_name` varchar(250) DEFAULT NULL,
						`popup_type` varchar(250) DEFAULT NULL,
						`popup_content` text DEFAULT NULL,
						`popup_height` int(11) DEFAULT NULL,
						`popup_width` int(11) DEFAULT NULL,
						`popup_padding` int(11) DEFAULT NULL,
						`popup_show_title` tinyint(4) DEFAULT '1',
						`popup_background` varchar(250) DEFAULT NULL,
						PRIMARY KEY (`id`)
	);";
    $wpdb->query($structure);
	
	$structure = "INSERT INTO `right_click_popup` VALUES ('1', 'Popup Title', '', 'This is an example of popup. Please create your custom popup inside your admin panel. Go to Settings > Right Click Popup', '0', '400', '25', '1', 'lightpink');";
	$wpdb->query($structure);
	
	
	 $structure = "CREATE TABLE `right_click_popup_settings` (
						`id` int(11) NOT NULL AUTO_INCREMENT,
						`block_right_click` tinyint(4) DEFAULT '1',
						`block_copy` tinyint(4) DEFAULT '1',
						`block_save` tinyint(4) DEFAULT '1',
						`block_print_screen` tinyint(4) DEFAULT '1',
						`popup_show_title` tinyint(4) DEFAULT '1',
						`popup_show_copyright` tinyint(4) DEFAULT '1',
						`popup_copyright` varchar(250) DEFAULT NULL,
						PRIMARY KEY (`id`)
	);";
    $wpdb->query($structure);
	
	$structure = "INSERT INTO `right_click_popup_settings` VALUES ('1','1', '1', '1', '1', '1','1','http://wordpress.com');";
    $wpdb->query($structure);

}



function hotpick_uninstall() {
	global $wpdb;
    $structure = "DROP TABLE `right_click_popup`";
    $wpdb->query($structure);
	 $structure = "DROP TABLE `right_click_popup_settings`";
    $wpdb->query($structure);
}


add_action('activate_rightclick/rightclick.php', 'hotpick_install');
add_action('deactivate_rightclick/rightclick.php', 'hotpick_uninstall');

/*

add_action('wp_ajax_my_special_action', 'my_action_callback');
add_action('wp_ajax_nopriv_my_special_action', 'my_action_callback'); //'wp_ajax_nopriv_my_action' executes for users that are not logged in.



function my_action_callback() {

	global $wpdb; // this is how you get access to the database
	die();
}

*/


function add_ob() {
ob_start(); // call the ob_start to turn on the output buffer feature in PHP
}
add_action('admin_menu','add_ob');  //Add the method to admin page

function add_rightclick_scripts() {
			$direct_path =  get_bloginfo('wpurl')."/wp-content/plugins/rightclick";
	?>
			

	<?php
}
add_action('wp_enqueue_scripts', 'add_rightclick_scripts');


function rightclick_footer_function() {
	$direct_path =  get_bloginfo('wpurl')."/wp-content/plugins/rightclick";
	global $wpdb;
	$popups = $wpdb->get_results("SELECT * FROM right_click_popup ORDER BY id ASC");
	$settings = $wpdb->get_row("SELECT * FROM right_click_popup_settings WHERE id=1");
			
	if(count($popups) > 0) { 
	$i = 0;
		foreach($popups as $popup) { 
		$i++;
				if($popup->popup_width == 0) $popup_width = 'auto'; else $popup_width = $popup->popup_width . 'px';
				if($popup->popup_height == 0) $popup_height = 'auto'; else $popup_height = $popup->popup_height . 'px';
				if($popup->popup_padding == 0) $popup_padding = 'auto'; else $popup_padding = $popup->popup_padding . 'px';
		?>

				<div style="display: none;">
					<div id="inline<?php echo $i; ?>" style="width:<?php echo $popup_width; ?>;height:<?php echo $popup_height; ?>;overflow:auto;">
						<?php echo $popup->popup_content; ?><br />
						<div style="clear:both;"></div>	
						<?php if($settings->popup_show_copyright == 1) { ?>
						<a href="<?php echo $settings->popup_copyright; ?>"><i style="float:right;font-size:10px;margin-top:15px;">Powered by Right Click Popup</i></a>
						<?php } ?>
						<div style="clear:both;"></div>
							
					</div>
				</div>
				
		<?php 	
		}  // end foreach
		?>
		
		
			
				
				<script type="text/javascript" src="<?php echo $direct_path; ?>/scripts/fancybox134/jquery-1.4.3.min.js"></script>
				<script type="text/javascript" src="<?php echo $direct_path; ?>/scripts/fancybox134/fancybox/jquery.mousewheel-3.0.4.pack.js"></script>
				<script type="text/javascript" src="<?php echo $direct_path; ?>/scripts/fancybox134/fancybox/jquery.fancybox-1.3.4.js"></script>
				<link rel="stylesheet" type="text/css" href="<?php echo $direct_path; ?>/scripts/fancybox134/fancybox/jquery.fancybox-1.3.4.css" media="screen" />
			<!-- link rel="stylesheet" href="<?php echo $direct_path; ?>/scripts/fancybox134/style.css" / -->
				<script type="text/javascript">
				
				$(document).ready(function() {
				
						function display_popup(popup_number) {
								var href = '#inline' + popup_number;
								var title = '';
								var padding =  10;
								var color = 'grey';
								<?php 
										$i = 0;
										foreach($popups as $popup) {
												$i++;
												?>
														if(popup_number == <?php echo $i; ?>) {
																title = '<?php echo $popup->popup_name; ?>';
																padding = <?php if($popup->popup_padding == 0) echo '10'; else echo $popup->popup_padding; ?>;
																<?php if($settings->popup_show_title != 1) { ?> 
																title = '';
																<?php } ?>
																<?php if($popup->popup_background == 'lightgrey') echo "color='grey';"; ?>
																<?php if($popup->popup_background == 'lightred') echo "color='red';"; ?>
																<?php if($popup->popup_background == 'lightblue') echo "color='blue';"; ?>
																<?php if($popup->popup_background == 'lightgreen') echo "color='green';"; ?>
																<?php if($popup->popup_background == 'lightpurple') echo "color='purple';"; ?>
																<?php if($popup->popup_background == 'lightpink') echo "color='pink';"; ?>
																<?php if($popup->popup_background == 'lightyellow') echo "color='yellow';"; ?>
														}
												<?php
										} // end foreach
								?>
								$.fancybox({
											'href'			: href,
											'title' 		: title,
											'padding' 		: padding,
											'overlayColor'  : color,
											'opacity'		: true,
											'overlayShow'	: true,
											'hideOnOverlayClick' : false,
											'transitionIn'	: 'elastic',
											'transitionOut'	: 'none',
											'centerOnScroll': true
								});
						}
						
						var count_blocked = 0;
						
						<?php
								if($settings->block_right_click == 1) { ?>

										$(document).bind("contextmenu",function(e){
												if(count_blocked == <?php echo count($popups); ?>) count_blocked = 0;
															count_blocked++;
															//alert("Display Popup #inline" + count_blocked);
															display_popup(count_blocked);
															
															return false;
										}); 
						
						<?php } ?>
				
						var ctrlDown = false;
						var ctrlKey = 17, vKey = 86, cKey = 67;

						$(document).keydown(function(e)
						{
							if (e.keyCode == ctrlKey) ctrlDown = true;
						}).keyup(function(e)
						{
							if (e.keyCode == ctrlKey) ctrlDown = false;
						});
						
						
						<?php if($settings->block_copy == 1) { ?>
						$(document).keydown(function(e)
						{

							if (ctrlDown && (e.keyCode == vKey || e.keyCode == cKey)) {
							
									if(count_blocked == <?php echo count($popups); ?>) count_blocked = 0;
									count_blocked++;
									//alert("Display Popup #inline" + count_blocked);
									display_popup(count_blocked);
									
									e.returnValue = false;
									return false;
							}
							
						});
						<?php } ?>

						
				});
				</script>
				
				
		
		
		
		<?php
		
		
	} //end if
}
add_action('wp_footer', 'rightclick_footer_function');
?>